libextractor-dmo (2:1.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Jul 2026 06:51:45 +0200

libextractor-dmo (2:1.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Jun 2026 07:27:30 +0200

libextractor-dmo (2:1.14-dmo2) unstable; urgency=medium

  * Buils with libpoppler-cpp3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jun 2026 17:36:44 +0200

libextractor-dmo (2:1.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 May 2026 18:14:50 +0200

libextractor-dmo (2:1.13-dmo8+b1) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 17:49:15 +0100

libextractor-dmo (2:1.13-dmo8) unstable; urgency=medium

  * Backport the proposed patch from https://bugs.gnunet.org/view.php?id=9223
    to fix the Exiv2 extractor in case the loading fails

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Sep 2024 09:13:54 +0200

libextractor-dmo (2:1.13-dmo7) unstable; urgency=medium

  * Build with libexiv2-28

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Sep 2024 09:12:41 +0200

libextractor-dmo (2:1.13-dmo6) unstable; urgency=medium

  * Build with libtidy58

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Aug 2024 11:47:35 +0200

libextractor-dmo (2:1.13-dmo5) unstable; urgency=medium

  * Add replaces with extract package

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 May 2024 09:21:35 +0200

libextractor-dmo (2:1.13-dmo4) unstable; urgency=medium

  * Sync with QA package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 May 2024 08:56:47 +0200

libextractor-dmo (2:1.13-dmo3) unstable; urgency=medium

  * Build with librpm10

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 May 2024 00:13:42 +0200

libextractor-dmo (2:1.13-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 13:33:00 +0100

libextractor-dmo (2:1.13-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Dec 2023 10:09:55 +0100

libextractor-dmo (2:1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Dec 2023 19:09:46 +0100

libextractor-dmo (2:1.11-dmo6) unstable; urgency=medium

  * Build with libtiff6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jan 2023 09:31:22 +0100

libextractor-dmo (2:1.11-dmo5) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 14:27:06 +0200

libextractor-dmo (2:1.11-dmo4) unstable; urgency=medium

  * Building without ffmpeg as recommended by upstream until it has been
    updated to ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 13:52:37 +0200

libextractor-dmo (2:1.11-dmo3) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 18:14:46 +0200

libextractor-dmo (2:1.11-dmo2) stable; urgency=medium

  * Build without libavresample

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 18:07:21 +0200

libextractor-dmo (2:1.11-dmo1+deb11u1) stable; urgency=medium

  * Add Replaces/Conflicts with libextractor-plugin packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Aug 2021 18:39:14 +0200

libextractor-dmo (2:1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Jan 2021 10:36:48 +0100

libextractor-dmo (2:1.10-dmo2) unstable; urgency=medium

  * Build with librpm9

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 14:39:00 +0100

libextractor-dmo (2:1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Jul 2020 06:57:52 +0200

libextractor-dmo (2:1.9-dmo4) unstable; urgency=medium

  * Build with libexiv2-27

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Jan 2020 14:44:31 +0100

libextractor-dmo (2:1.9-dmo3) unstable; urgency=medium

  * Build without libavresample4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Oct 2019 11:49:08 +0200

libextractor-dmo (2:1.9-dmo2) unstable; urgency=medium

  * Add Multi-Arch: same for all lib packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 08:17:32 +0200

libextractor-dmo (2:1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Feb 2019 07:56:00 +0100

libextractor-dmo (2:1.8-dmo2) unstable; urgency=high

  * Add upstream patches to fix :
      Fix out-of-bounds read vulnerability in common/convert.c CVE-2018-20430).
      Fix NULL pointer dereference in OLE2 extractor CVE-2018-20431).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Dec 2018 14:22:23 +0100

libextractor-dmo (2:1.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Nov 2018 15:30:30 +0100

libextractor-dmo (2:1.7-dmo3) unstable; urgency=medium

  * Rebuild against libtidy5deb1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Oct 2018 23:20:29 +0200

libextractor-dmo (2:1.7-dmo2) unstable; urgency=medium

  * Rebuild against libtidy5.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Oct 2018 08:24:51 +0200

libextractor-dmo (2:1.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Jul 2018 11:49:02 +0200

libextractor-dmo (2:1.6-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Apr 2018 16:14:27 +0200

libextractor-dmo (2:1.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Oct 2017 08:50:46 +0200

libextractor-dmo (2:1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Oct 2017 08:13:24 +0200

libextractor-dmo (2:1.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2017 08:38:42 +0200

libextractor-dmo (2:1.3-dmo4) unstable; urgency=medium

  * Rebuild against libtidy5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jul 2016 14:30:30 +0200

libextractor-dmo (2:1.3-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Feb 2016 18:53:52 +0100

libextractor-dmo (2:1.3-dmo2) unstable; urgency=medium

  * Rebuild against libgif7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Dec 2015 08:18:24 +0100

libextractor-dmo (2:1.3-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Aug 2015 19:24:19 +0200

libextractor (1:1.3-2) unstable; urgency=medium

  * Build-depend on libmagic-dev and libavresample-dev to enable additional
    plugins, thanks to Andreas Cadhalpun and update libexctractor3.symbols
    accordingly (Closes: #755810).
  * Build-depend on libjpeg-dev instead of libjpeg8-dev, thanks to Ondřej Surý
    (Closes: #763478).

 -- Bertrand Marc <beberking@gmail.com>  Tue, 30 Sep 2014 22:56:51 +0200

libextractor (1:1.3-1) unstable; urgency=medium

  * Make uscan check the archive signature:
    + add the upstream key to debian/upstream-signing-key.pgp.
    + add the binary key to debian/source/include-binaries.
    + add pgpsigurlmangle to debian/watch.
  * Imported Upstream version 1.3.
  * Standards version 3.9.5:
    + remove dependency on dpkg (>= 1.15.4) | install-info.
  * Build-depend on libtiff-dev instead of libtiff4-dev (Closes: #736021).
  * Add a missing build-dependency on texinfo.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 19 Jan 2014 09:54:16 +0100

libextractor (1:1.2-1) unstable; urgency=low

  * Imported Upstream version 1.2

 -- Bertrand Marc <beberking@gmail.com>  Mon, 28 Oct 2013 11:53:20 +0100

libextractor (1:1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1 (Closes: #690095).
  * Move the git repository to collab-maint.
  * Remove the underscore_in_plugin_path patch, included upstream.
  * debian/control: Update build dependencies according to README.
  * debian/rules: remove override_dh_configure to enable all plugins.
  * Merge libextractor and libextractor-plugins. Keeping them separated is
    difficult to maintain and does not worth it.
  * debian/rules: remove .a files.
  * debian/rules: remove useless override_dh_builddeb.
  * debian/control: remove duplicate section field.
  * Add a symbols file for libextractor3.
  * Remove useless debian/source/options.
  * Standards version 3.9.4.
  * debian/copyright: the licence is now GPL-3+, update years.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 13 Jul 2013 11:19:57 +0200

libextractor (1:0.6.3-5) unstable; urgency=low

  * debian/control: add Vcs-Git and Vcs-browser fields.
  * Switch the libpoppler-dev build dependency to libpoppler-private-dev
    (Closes: #673304).
  * Include a patch to load plugins from path with underscore, thanks to Harun
    Trefry (Closes: #675063).

 -- Bertrand Marc <beberking@gmail.com>  Sat, 23 Jun 2012 18:45:49 +0200

libextractor (1:0.6.3-4) unstable; urgency=low

  * New maintainer (Closes: #660442).
  * Upload to unstable.
  * Hardened build flags are enabled with dh v9 (Closes: #656780).
  * Standards version 3.9.3.
  * Add a dependency on dpkg (>= 1.15.4) | install-info for extract,
    see Policy section 12.2.
  * Add debian/watch.
  * Move to autoreconf:
    + build-depends on autoconf, automake, autopoint, dh-autoreconf.
    + debian/rules: use dh --with autoreconf.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 17 Mar 2012 19:03:16 +0100

libextractor (1:0.6.3-3) experimental; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Feb 2012 09:02:05 +0000

libextractor (1:0.6.3-2) experimental; urgency=low

  * Updating package to debhelper version 9.
  * Updating years in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 15 Feb 2012 22:35:31 +0100

libextractor (1:0.6.3-1) experimental; urgency=low

  * Updating homepage field.
  * Using compression level 9 also for binary packages.
  * Merging upstream version 0.6.3.
  * Updating packaging for mkv plugin addition.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 29 Nov 2011 20:06:13 +0100

libextractor (1:0.6.2-3) experimental; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Updating to standards version 3.9.2.
  * Removing references to my old email address.
  * Including changelog entry for 0.5.23+dfsg-7.1.
  * Removing some useless whitespaces from Glenns entries.
  * Updating ImageMagick build-depends.
  * Dropping pre-squeeze depends on dpkg.
  * Switching to source format 3.0 (quilt).
  * Compacting copyright file.
  * Updating year in copyright file.
  * Stripping leading slash from debhelper install files.
  * Simplify autotools handling in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 09 Sep 2011 15:45:45 +0200

libextractor (1:0.6.2-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Updating to standards version 3.9.1.
  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 17 Oct 2010 21:47:22 +0200

libextractor (1:0.6.2-1) experimental; urgency=low

  * Merging upstream version 0.6.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 17 Jun 2010 13:17:26 +0200

libextractor (1:0.6.1-1) experimental; urgency=low

  * Merging upstream version 0.6.1.
  * Adding changelog entries for 0.5.23+dfsg-6 and 0.5.23+dfsg-7.
  * Updating year in copyright file.
  * Removing dfsg target in rules, not needed for 0.6 anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Mar 2010 10:56:03 +0100

libextractor (0.6.0-2) experimental; urgency=low

  [ Daniel Baumann ]
  * Adding conflics/replaces to libextractor1c2a (Closes: #570879).

  [ Paul Menzel ]
  * Fixing typo in package long-description of libextractor-plugins
    (Closes: #571071).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Mar 2010 10:44:08 +0100

libextractor (0.6.0-1) experimental; urgency=low

  * Merging upstream version 0.6.0.
  * Removing libtool.patch, not required anymore.
  * Updating debhelper files for soname version 3.
  * Adding build-depends to poppler.
  * Updating debhelper files for upstream version 0.6.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 21 Feb 2010 16:44:05 +0100

libextractor (1:0.5.23+dfsg-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depends on libmagick++-dev instead of libmagick++9-dev (Closes:
    #625609, #629727).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Aug 2011 19:34:46 +0200

libextractor (1:0.5.23+dfsg-7) unstable; urgency=low

  * Adding patch from Ralph Siemsen <ralphs@netwinder.org> to fix proc
    parsing (Closes: #531864).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 07 Mar 2010 18:55:45 +0100

libextractor (1:0.5.23+dfsg-6) unstable; urgency=low

  * Reuploading 0.5 to unstable - somehow, the 0.6.0 for experimental
    made it to unstable (Closes: #571373, #571344, #571364).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Mar 2010 10:34:16 +0100

libextractor (0.5.23+dfsg-5) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Changing dh call to more common scheme.
  * Removing not required depends of libextractor-dev.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 21 Feb 2010 15:52:14 +0100

libextractor (0.5.23+dfsg-4) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Adding patch from Vincent Danen <vdanen@redhat.com> to fix flaw in
    embedded libtool [CVE-2009-3736] (Closes: #559819).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 27 Dec 2009 14:44:18 +0100

libextractor (0.5.23+dfsg-3) unstable; urgency=low

  * Building against libltdl7.
  * Updating to standards version 3.8.3.
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Simplifying autotools handling in rules.
  * Updating README.source.
  * Moving maintainer homepage field from control to copyright.
  * Dropping la files.
  * Simplyfing debhelper install files.
  * Bumping versioned build-depends on debhelper.
  * Adding depends to dpkg install info.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 17 Nov 2009 20:27:32 +0100

libextractor (0.5.23+dfsg-2) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 Aug 2009 22:12:32 +0200

libextractor (0.5.23+dfsg-1) unstable; urgency=low

  * Merging upstream version 0.5.23+dfsg.
  * Renabling rpm plugin, new upstream is compatible with new rpm
    version now.
  * Minimizing rules file.
  * Building with external exiv2 support.
  * Updating section of the debug package.
  * Removing useless dir info file.
  * Disabling automatic run of test suite.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 02 Aug 2009 17:14:37 +0200

libextractor (0.5.22+dfsg-1) unstable; urgency=low

  * Merging upstream version 0.5.22+dfsg.
  * Updating upstream target in rules.
  * Removing shlibs file.
  * Updatin package to standards version 3.8.2.
  * Wrapping build-depends.
  * Adding misc depends.
  * Wrapping depends.
  * Updating section of the source package.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 02 Aug 2009 16:42:55 +0200

libextractor (0.5.21+dfsg-3) unstable; urgency=medium

  * Currently building without rpm plugin (Closes: #533167).
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 30 Jun 2009 10:47:01 -0300

libextractor (0.5.21+dfsg-2) unstable; urgency=low

  * Updating year in copyright.
  * Removing Arnaud from uploaders, he is MIA (Closes: #513166).
  * Updating rules to current state of the art.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Feb 2009 00:49:00 +0100

libextractor (0.5.21+dfsg-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 0.5.21+dfsg.
  * Adding upstream target in rules file.
  * Adding librpm-dev to build-depends and depends.
  * Updating shlibs.
  * Updating install debhelper files to cover newly added plugins.
  * For the moment building without thumbnailffmpeg plugin.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 07 Nov 2008 22:48:00 +0100

libextractor (0.5.20c-1) unstable; urgency=medium

  * Merging upstream version 0.5.20c:
    - Fixed endianness issues in mp3 extractor.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 14 Jul 2008 10:48:00 +0200

libextractor (0.5.20b-3) unstable; urgency=low

  * Removing forgotten wildcard entry in libextractor1c2a install file
    (Closes: #489350).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Jul 2008 10:49:00 +0200

libextractor (0.5.20b-2) unstable; urgency=low

  * Also installing extract info page.
  * Installing manpages through install debhelper, not manpage debhelper.
  * Not using dh_movefiles anymore as a hack to build the libextractor-plugins
    sub-package.
  * Reordering rules file.
  * Removing watch file.
  * Using lintian debhelper to install lintian overrides.
  * Updating shlibs.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Adding changelog entries for etch-security uploads 0.4.2-2sarge1 to
    0.4.2-2sarge6.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 03 Jul 2008 13:52:00 +0200

libextractor (0.5.20b-1) unstable; urgency=low

  * New upstream release:
    - This release fixes a security issue in the embedded xpdf code.
      However in Debian the xpdf code is not used in favour for the
      alternative pdf code from libextractor itself.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 26 Apr 2008 10:30:00 +0200

libextractor (0.5.20-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 01 Apr 2008 15:35:00 +0200

libextractor (0.5.19a-1) unstable; urgency=low

  * Maintainer upload from BSP Zurich.
  * New upstream release:
    - This releases fixes a security problem in the embedded xpdf code.
      However in Debian the xpdf is not used in favour for the alternative
      pdf code from libextractor itself.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 13 Jan 2008 09:43:00 +0100

libextractor (0.5.19-1) unstable; urgency=low

  * New upstream release:
    - supports flac now (Closes: #457856).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 07 Jan 2008 20:31:00 +0100

libextractor (0.5.18a-3) unstable; urgency=low

  * Bumped to new policy.
  * Using new homepage field in control.
  * Updated email addresses in copyright.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 23 Dec 2007 23:38:00 +0100

libextractor (0.5.18a-2) unstable; urgency=low

  * Added debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Jul 2007 13:53:00 +0200

libextractor (0.5.18a-1) unstable; urgency=medium

  * New upstream release:
    - Fixes a problem with libgsf (Closes: #430876).
    - Dropped 01-include.dpatch, included in upstream.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Jul 2007 13:52:00 +0200

libextractor (0.5.18-3) unstable; urgency=low

  * Fixed lintian warning.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 15 May 2007 15:19:00 +0200

libextractor (0.5.18-2) unstable; urgency=low

  * Added patch from Martin Michlmayr <tbm@cyrius.com> to add missing includes
    required to build with GCC 4.3 (Closes: #417326).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 02 Apr 2007 13:08:00 +0200

libextractor (0.5.18-1) unstable; urgency=low

  * New upstream release.
  * Bumping to debhelper 5.
  * Minor cleanups.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 12 Mar 2007 08:15:00 +0100

libextractor (0.5.17a-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 03 Jan 2007 13:32:00 +0100

libextractor (0.5.17-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 02 Jan 2007 13:11:00 +0100

libextractor (0.5.16-2) unstable; urgency=medium

  * Added -dev packages to depends of libextractor-dev (Closes: #400174).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 25 Nov 2006 17:25:00 +0100

libextractor (0.5.16-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 12 Nov 2006 09:42:00 +0100

libextractor (0.5.15-2) unstable; urgency=medium

  * Fixed broken plugin symlink.
  * Including extracts locales.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 19 Sep 2006 02:30:00 +0200

libextractor (0.5.15-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 07 Sep 2006 09:04:00 +0200

libextractor (0.5.14-4) unstable; urgency=low

  * Adjusted suggests for new libextractor-python binary package name.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 05 Sep 2006 07:46:00 +0200

libextractor (0.5.14-3) unstable; urgency=medium

  * Added libextractor-plugins depends for extract.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 13 Aug 2006 21:28:00 +0200

libextractor (0.5.14-2) unstable; urgency=low

  * New email address.
  * Removed pre-sarge Conflicts/Replaces.
  * Splittet libextractor into libextractor and libextractor-plugins, whereas
    the plugins package contains the plugins with the long depends chain.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 27 Jul 2006 12:32:00 +0200

libextractor (0.5.14-1) unstable; urgency=high

  * New upstream release:
    - fixes heap overflow in src/plugins/asfextractor.c.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 17 May 2006 23:22:00 -0500

libextractor (0.5.12-1) unstable; urgency=low

  * New upstream release:
    - no longer using xpdf code: Christian wrote a PDF extractor himself, so we
      do not longer import security problems from xpdf.
  * Removed GCC version enforcement from the transition (Closes: #357886).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 23 Apr 2006 08:06:00 +0100

libextractor (0.5.11-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 11 Mar 2006 22:50:00 +0100

libextractor (0.5.10-1) unstable; urgency=high

  * New upstream release:
    - fix security-problem with imported flows from xpdf code: CVE-2006-0301

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Feb 2006 13:21:00 +0100

libextractor (0.5.9-1) unstable; urgency=high

  * New upstream release:
    - fix security-problem with imported flows from xpdf code.
  * Adjusted previous changelog entry.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 25 Dec 2005 12:20:00 +0100

libextractor (0.5.8-1) unstable; urgency=high

  * New upstream release:
    - fix security-problem with imported heap-overflows from xpdf code:
      CVE-2005-3191.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Dec 2005 22:55:00 +0100

libextractor (0.5.7-2) unstable; urgency=low

  * Using newer libtool to fix FTBS on kFreeBSD (Closes: #340369).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 28 Nov 2005 08:57:00 +0100

libextractor (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Rebuild and rename due to new libstdc++ configuration (Closes: #339202).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Nov 2005 15:58:00 +0200

libextractor (0.5.6a-2) unstable; urgency=low

  * Updated build-depends to libmagick++9-dev (Closes: #331447).
  * Removed wrong provides of libextractor1c2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 03 Oct 2005 18:24:00 +0200

libextractor (0.5.6a-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 19 Sep 2005 10:45:00 +0200

libextractor (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * Corrected provides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2005 09:33:00 +0200

libextractor (0.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #324093):
    - fixes issues with glib-related plugins, removed README.Debian
      and --disable-glib hack in rules (Closes: #282342, #295459).
  * Added lintian overrides.
  * Formal cleanups and updates in debian/.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 21 Aug 2005 12:56:00 +0200

libextractor (0.4.2-4) unstable; urgency=low

  * Enforced gcc-4 with $(CC)/$(CXX) instead of build-conflicting against
    gcc-3.3 (Closes: #321096).
  * Bumped policy version.
  * Corrected dependencies for libextractor-dev.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 03 Aug 2005 18:01:00 +0200

libextractor (0.4.2-3) unstable; urgency=low

  * C++ ABI change.
  * Added build-conflict to gcc-3.3; otherwise libextractor would still uses the
    old compiler.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jul 2005 15:19:00 +0200

libextractor (0.4.2-2sarge6) oldstable-security; urgency=high

  * Fix integer overflow in stream predictor (CVE-2007-3387)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 03 Aug 2007 18:41:43 +0200

libextractor (0.4.2-2sarge5) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Only applied upstream patch to fix heap overflow
    [src/plugins/asfextractor.c, CVE-2006-2458]

 -- Martin Schulze <joey@infodrom.org>  Fri, 26 May 2006 10:50:37 +0200

libextractor (0.4.2-2sarge4) stable-security; urgency=high

  * Applied patch to fix heap overflow in src/plugins/asfextractor.c.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 17 May 2006 23:26:00 -0500

libextractor (0.4.2-2sarge3) stable-security; urgency=high

  * Applied patch to fix security-problem with imported code from xpdf:
    CVE-2006-0301.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Feb 2006 13:20:00 +0100

libextractor (0.4.2-2sarge2) stable-security; urgency=high

  * fixed additional security-problem with imported flows from xpdf code.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 25 Dec 2005 13:45:00 +0100

libextractor (0.4.2-2sarge1) stable-security; urgency=high

  * Applied patch to fix security-problem with imported heap-overflows from
    xpdf code: CVE-2005-3191.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Dec 2005 22:55:00 +0100

libextractor (0.4.2-2) unstable; urgency=low

  * disabled glib related plugins on amd64, read README.Debian for more
    information.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 15 Mar 2005 13:35:00 +0100

libextractor (0.4.2-1) unstable; urgency=high

  * New upstream release.
  * debian/* redone.
  * disabled glib related plugins on powerpc, read README.Debian for more
    information.
  * debian/control: added conflicts/replaces for old version (Closes: #296051).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 25 Feb 2005 14:09:00 +0100

libextractor (0.4.1-1) unstable; urgency=high

  * New upstream release: fixes security problem imported from xpdf
    (CAN-2005-0064).
  * disabled glib related plugins on hppa, read README.Debian for more
    information.
  * debian/control: formal cleanups.
  * debian/copyright updated.
  * debian/watch updated.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 23 Jan 2005 18:31:00 +0100

libextractor (0.3.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control: descriptions updated, conflict to tigr-glimmer fixed to version.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Nov 2004 09:57:00 +0100

libextractor (0.3.10-2) unstable; urgency=high

  * Added fix from cvs for various Sparc64 problems (Closes: #278905).
  * Added workaround from cvs for re-load glib problem of OLE2 extractor.
  * debian/watch added.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Oct 2004 23:50:00 +0200

libextractor (0.3.10-1) unstable; urgency=low

  * New upstream release.
  * debian/libextractor0.files: added entries for new plugins.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 24 Oct 2004 01:00:00 +0200

libextractor (0.3.8-1) unstable; urgency=low

  * New upstream release.
  * Moved libextract man-page from the libextractor0-dev to libextractor.
  * debian/control: added conflict to tigr-glimmer (Closes: #274780).
  * debian/libextractor0.files: added entries for new plugins and updated the plugin path.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Oct 2004 06:37:00 +0200

libextractor (0.3.6-2) unstable; urgency=medium

  * debian/libextractor0.files: added entry for libextractor_oo.so

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 14 Sep 2004 12:14:00 +0200

libextractor (0.3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #268012)

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 10 Sep 2004 19:40:00 +0200

libextractor (0.3.5-2) unstable; urgency=medium

  * debian/control: used ${Source-Version} for dependency libextractor0-dev.
  * debian/libextractor0.shlibs: used ${Source-Version}.
  * src/plugins/htmlextractor.c: applied segfault fix for html-parser from cvs.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 9 Sep 2004 13:05:00 +0200

libextractor (0.3.5-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #225689)
  * debian/control: start descriptions lowercase, deleted final point
  * debian/control: updated to new policy
  * debian/control: fixed build dependencies (libglib2.0-dev, pkg-config)
  * debian/libextractor0.files: added entry for libextractor_ole2.so

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 7 Sep 2004 15:27:00 +0200

libextractor (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Glenn McGrath <bug1@debian.org>  Sat, 26 Jun 2004 12:59:02 +1000

libextractor (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Glenn McGrath <bug1@debian.org>  Sun, 02 May 2004 11:07:02 +1000

libextractor (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Glenn McGrath <bug1@debian.org>  Tue, 20 Apr 2004 20:11:01 +1000

libextractor (0.2.6-1) unstable; urgency=low

  * New upstream release
  * Fix inter-library dependency problem (Closes: #201003)
  * Declare dependency on libltdl3-dev (Closes: #215281)

 -- Glenn McGrath <bug1@debian.org>  Tue, 14 Oct 2003 23:14:09 +0000

libextractor (0.2.5.0+cvs.20030822-2) unstable; urgency=low

  * If (host == build) only mention huild to configure (Closes: #206898)

 -- Glenn McGrath <bug1@debian.org>  Mon, 25 Aug 2003 03:33:59 +0000

libextractor (0.2.5.0+cvs.20030822-1) unstable; urgency=low

  * CVS release, reduces compiler memory requirements (Closes: #204791)

 -- Glenn McGrath <bug1@debian.org>  Fri, 22 Aug 2003 21:09:38 +0000

libextractor (0.2.5-2) unstable; urgency=low

  * Change section of libextractor0-dev to libdevel

 -- Glenn McGrath <bug1@debian.org>  Mon, 21 Jul 2003 06:06:49 +0000

libextractor (0.2.5-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.6.0
  * Include .la files in libextractor0
  * Include .0 symlinks in libextractor0 (Closes: #200912)
  * Fix spelling mistake in extract description (Closes: #201480)

 -- Glenn McGrath <bug1@debian.org>  Sun, 20 Jul 2003 08:26:32 +0000

libextractor (0.2.3-3) unstable; urgency=low

  * Initial upload to unstable (Closes: #180337)
  * Make the descriptions more verbose.
  * Add a sharedlib entry

 -- Glenn McGrath <bug1@debian.org>  Fri, 27 Jun 2003 15:04:54 +0000

libextractor (0.2.3-2) unstable; urgency=low

  * Fix lintian warnings
  * Produce a diff against upstream tarball.
  * Fix build dependencies.
  * Merge the ogg package in with the rest.

 -- Glenn McGrath <bug1@debian.org>  Thu, 17 Apr 2003 22:47:11 +1000

libextractor (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Glenn McGrath <bug1@debian.org>  Tue, 15 Apr 2003 22:20:02 +1000

libextractor (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Glenn McGrath <bug1@debian.org>  Thu, 27 Feb 2003 15:45:53 +1100

libextractor (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Glenn McGrath <bug1@debian.org>  Fri, 07 Feb 2003 14:02:26 +1100

libextractor (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Glenn McGrath <bug1@debian.org>  Wed, 05 Feb 2003 13:28:56 +1100
